curl --request PUT \
--url https://api.example.com/v1/cases/{case_id}/probate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"state_code": "UT",
"county_slug": "cache-county",
"probate_type": "informal",
"case_number": "2025-PR-00456",
"court_name": "First District Court, Cache County",
"judge_name": "Hon. John Johnson",
"filing_date": "2023-12-25",
"hearing_date": "2023-12-25",
"next_hearing_date": "2023-12-25",
"status": "filed",
"executor_appointed_date": "2023-12-25",
"letters_issued_date": "2023-12-25",
"bond_amount": 123,
"bond_provider": "<string>",
"bond_status": "required",
"attorney_name": "<string>",
"attorney_firm": "<string>",
"attorney_phone": "<string>",
"attorney_email": "jsmith@example.com",
"attorney_bar_number": "<string>",
"estate_value_at_filing": 123,
"will_admitted": false,
"will_admitted_date": "2023-12-25",
"will_contested": false,
"contest_details": "<string>",
"creditor_notice_published": false,
"creditor_notice_date": "2023-12-25",
"creditor_claim_deadline": "2023-12-25",
"inventory_filed": false,
"inventory_filed_date": "2023-12-25",
"inventory_due_date": "2023-12-25",
"final_accounting_filed": false,
"final_accounting_date": "2023-12-25",
"distribution_complete": false,
"distribution_date": "2023-12-25",
"case_closed_date": "2023-12-25",
"notes": "<string>"
}
'